jQuery(document).ready(function() {
	var orderSelected = 'body#order-opc';
	if(typeof orderProcess !== 'undefined' && orderProcess === 'order')
		orderSelected = 'body#order';
	var makecommerce_carrier = {
		checked_options: jQuery(orderSelected + ' div#center_column input.delivery_option_radio:checked'),
		ids: [],
		address: 0
	};
	var makecommerce_carrier_error = '';
	var selected_makecommerce_carriers;
	var selects = false;
	var module;
	var carriers;

	for (var i = makecommerce_carrier.checked_options.length - 1; i >= 0; i--) {
		makecommerce_carrier.ids[getAddress(makecommerce_carrier.checked_options[i].id)] = makecommerce_carrier.checked_options[i].id;
	}

	jQuery(orderSelected + ' div#center_column').off('click').on('click', 'label', function(evt){
		makecommerce_carrier.address = getAddress(evt.currentTarget.control.id);
		if(!(makecommerce_carrier.address in makecommerce_carrier.ids))
			makecommerce_carrier.ids[makecommerce_carrier.address] = evt.currentTarget.control.id;
		if(jQuery.inArray(evt.currentTarget.control.id, makecommerce_carrier.ids) !== -1)
			return false;
		makecommerce_carrier.ids[makecommerce_carrier.address] = evt.currentTarget.control.id;
	});

	$('#center_column').on('change', '#carrier_area', function() {
		moveList();
	});

	$(document).ajaxComplete(function(event, xhr, settings) {
		if (xhr.readyState == 4 &&
			xhr.status == 200 &&
			xhr.responseJSON !== null &&
			typeof xhr.responseJSON !== 'undefined' &&
			'HOOK_BEFORECARRIER' in xhr.responseJSON
		)
		{
			moveList();
		}
	});

	$('input.delivery_option_radio').each(function() {
		module = $('#HOOK_BEFORECARRIER > #makecommerce_carrier_'+parseInt($(this).data('key'), 10)+'_'+$(this).data('id_address'));
		if (module.length === 1)
		{
			$(this).closest('.delivery_option').find('.delivery_option_logo').next().append(module.html());
			module.remove();
		}
	});

	if (typeof orderProcess !== 'undefined' && orderProcess === 'order')
	{
	    var disableCheckout = false;

	    if($('.delivery_option_radio:checked').parents('.delivery_option').find('.makecommerce_carrier').val() == "0"){
		disableCheckout = true;
	    }else{
		disableCheckout = false;
	    }

	    $('.delivery_option_radio').live('click', function() {
		if($(this).parents('.delivery_option').find('.makecommerce_carrier').length && $(this).parents('.delivery_option').find('.makecommerce_carrier').val() == 0){
		    disableCheckout = true;
		}else{
		    disableCheckout = false;
		}
	    });

	    $('.makecommerce_carrier').live('change',function(){
		if($(this).val() == 0){
		    disableCheckout = true;
		}else{
		    disableCheckout = false;
		}
	    });

	    $(".payment_module > a, #carrier_area button[type='submit']").live( "click", function( event ) {
		if(disableCheckout){
		    event.preventDefault();
		    $('html, body').stop().animate({
			scrollTop: $("#carrier_area").offset().top
		    }, 1000);
		    alert(chooseTerminal);
		}
	    });
	}
 
});

function getAddress(id_string) {
	var splitted = id_string.split('_');
	return splitted[2];
}

function updateCarrierTerminal(id_address, name, module) {
	var data = {
		terminal_id: $('select#' + module + '_' + id_address).val(),
		id_address: id_address,
		name: module
	};
	var current_carrier;
	$.ajax({
		type: 'POST',
		url:  $('.'+name+'_'+id_address+'_ajax').first().val(),
		data: jQuery.param(data),
		dataType: 'json',
		success: function(json) {
			if(orderProcess === 'order-opc') {
				current_carrier = $('select#' + module + '_' + id_address).parent().parent().find('input.delivery_option_radio');
                if(
					(current_carrier.length === 1 && !current_carrier.prop('checked')) ||
					parseInt(json['old_terminal_id'], 10) === 0 ||
					parseInt(data.terminal_id, 10) === 0
				)
				{ // is_carrier_checked || selected_terminal || deselected_terminal
					if (current_carrier.length === 1)
					{
						current_carrier.prop('checked', true).click().change();
					}
					else
					{
						updateCarrierSelectionAndGift();
					}
				}
			}
		}
	});
}

function moveList()
{
	if ($('#HOOK_BEFORECARRIER > .hidden').length !== 0)
	{
		$('input.delivery_option_radio').each(function() {
			module = $('#HOOK_BEFORECARRIER > #makecommerce_carrier_'+parseInt($(this).data('key'), 10)+'_'+$(this).data('id_address'));
			if (module.length === 1)
			{
				$(this).closest('.delivery_option').find('.delivery_option_logo').next().append(module.html());
				module.remove();
			}
		});
	}
}

function clearDeliveryInfo()
{
    if (deliveryInfoHidden)
    {
        $('.delivery_hidden_input').remove();
        $('#opc_account_form').find('#city').closest('.form-group').show();
        $('#opc_account_form').find('#address1').closest('.form-group').show();
        $('#opc_account_form').find('#postcode').closest('.form-group').show();
        $('#opc_account_form #id_country').closest('.form-group').show();
        deliveryInfoHidden = false;
    }
}

function getActiveDeliveryOption()
{
	$delivery_option = $('.delivery_option_radio:checked').closest('.delivery_option');
	if ($delivery_option.length)
	{
		if ($delivery_option.find('.makecommrece-carrier'))
		{
			return $delivery_option;
		}
		else
		{
			return false;
		}
	}
	else
	{
		return false;
	}
}

